Skip to main content
`Ctrl`+`K`

# BVGetArrayRead

Returns a read-only pointer to a contiguous array that contains this processor’s portion of the `BV` data.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVGetArrayRead(BV bv,const PetscScalar **a)

Not Collective

## Input Parameter

- bv - the basis vectors context

## Output Parameter

- a - location to put pointer to the array

## Notes

`BVRestoreArrayRead()` must be called when access to the array is no longer needed. This operation may imply a data copy, for `BV` types that do not store data contiguously in memory.

The pointer will normally point to the first entry of the first column, but if the `BV` has constraints then these go before the regular columns.

## See Also

BV: Basis Vectors, `BVRestoreArray()`, `BVInsertConstraints()`, `BVGetLeadingDimension()`, `BVGetArray()`, `BVType`

## Level

advanced

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVGetArrayRead_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVGetArrayRead_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVGetArrayRead_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVGetArrayRead_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages